Bug 137044 - Exception while storing Preferences
Exception while storing Preferences
Status: CLOSED NOTABUG
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Red Hat Satellite QA List
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2004-10-25 11:21 EDT by Jesus M. Rodriguez
Modified: 2007-04-18 13:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 16:00:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesus M. Rodriguez 2004-10-25 11:21:33 EDT
This error occurred while updating preferences, didn't matter what I
did, the page would render fine, but the log file had this error.
As of today, 10/25/2004 revision 1513 in svn, it seems to be working fine.
=================================================================
The following exception occured while executing this request:
GET /

Date:
October 22, 2004 5:37:25 PM EDT

Headers:

Request:
org.apache.coyote.tomcat5.CoyoteRequestFacade@26c38148

User Information:
User hahtcommerce (id 3753742, org_id null)

Exception:
java.lang.RuntimeException: net.sf.hibernate.HibernateException:
Session is closed
   
com.redhat.rhn.common.hibernate.HibernateHelper.rollback(HibernateHelper.java:114)
   
com.redhat.rhn.common.db.datasource.CommitableMode.commit(CommitableMode.java:57)
   
com.redhat.rhn.domain.user.UserFactory.updateServerPerms(UserFactory.java:241)
   
com.redhat.rhn.domain.user.UserFactory.commitInternal(UserFactory.java:201)
    com.redhat.rhn.domain.user.UserFactory.commit(UserFactory.java:225)
   
com.redhat.rhn.frontend.action.UserPrefAction.execute(UserPrefAction.java:61)
   
org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:484)
   
org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:274)
   
com.redhat.rhn.frontend.struts.RhnRequestProcessor.process(RhnRequestProcessor.java:42)
   
org.apache.struts.action.ActionServlet.process(ActionServlet.java:1482)
    org.apache.struts.action.ActionServlet.doPost(ActionServlet.java:525)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:763)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:856)
   
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:237)
   
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:157)
   
com.redhat.rhn.frontend.servlets.SessionFilter.doFilter(SessionFilter.java:40)
   
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:186)
   
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:157)
   
com.redhat.rhn.frontend.servlets.AuthFilter.doFilter(AuthFilter.java:99)
   
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:186)
   
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:157)
   
com.opensymphony.module.sitemesh.filter.PageFilter.parsePage(PageFilter.java:142)
   
com.opensymphony.module.sitemesh.filter.PageFilter.doFilter(PageFilter.java:58)
   
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:186)
   
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:157)
   
org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:214)
   
org.apache.catalina.core.StandardValveContext.invokeNext(StandardValveContext.java:104)
   
org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:520)
   
org.apache.catalina.core.StandardContextValve.invokeInternal(StandardContextValve.java:198)
   
org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:152)
   
org.apache.catalina.core.StandardValveContext.invokeNext(StandardValveContext.java:104)
   
org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:520)
   
org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:137)
   
org.apache.catalina.core.StandardValveContext.invokeNext(StandardValveContext.java:104)
   
org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
   
org.apache.catalina.core.StandardValveContext.invokeNext(StandardValveContext.java:102)
   
org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:520)
   
org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
   
org.apache.catalina.core.StandardValveContext.invokeNext(StandardValveContext.java:104)
   
org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:520)
    org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:929)
   
org.apache.coyote.tomcat5.CoyoteAdapter.service(CoyoteAdapter.java:160)
   
org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:799)
   
org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.processConnection(Http11Protocol.java:705)
   
org.apache.tomcat.util.net.TcpWorkerThread.runIt(PoolTcpEndpoint.java:577)
   
org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:683)
    java.lang.Thread.run(Thread.java:567)
Comment 1 Jesus M. Rodriguez 2004-11-29 16:00:34 EST
This has not occurred again.  I believe we have figured out Hibernate
for our usage.  So I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.